Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
pk_algs.cpp File Reference
`#include <botan/pk_algs.h>`
`#include <botan/oids.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
std::unique_ptr< Private_Key > | Botan::create_private_key (const std::string &alg_name, RandomNumberGenerator &rng, const std::string &params)
std::unique_ptr< Private_Key > | Botan::load_private_key (const AlgorithmIdentifier &alg_id, const secure_vector< uint8_t > &key_bits)
std::unique_ptr< Public_Key > | Botan::load_public_key (const AlgorithmIdentifier &alg_id, const std::vector< uint8_t > &key_bits)